Task24_Low/Models/Article.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Task24_Low.Models
{
    public class Article : BaseEntity
    {
        public string Title { get; set; }
        public string Content { get; set; }
        public DateTime DatePosted { get; set; }
    }

}

Task24_Low/Models/BaseEntity.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Task24_Low.Models
{
    public abstract class BaseEntity
    {
        public int Id { get; set; }
    }
}

Task24_Low/Models/Comment.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Task24_Low.Models
{
    public class Comment : BaseEntity
    {
        public string Name { get; set; }
        public DateTime DatePosted { get; set; }
        public string CommentText { get; set; }
    }
}

Task24_Low/Models/Question.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Task24_Low.Models
{
    public class Question: BaseEntity
    {
        public string QuestionTitle { get; set; }
        public List<string> Text { get; set; }
    }
}

Task24_Low/Models/QuestionaryResult.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Task24_Low.Models
{
    public class QuestionaryResult:BaseEntity
    {
        public int QuestionId { get; set; }
        public string Answer { get; set; }
    }
}

Task24_Low/Controllers/GuestController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Task24_Low.Models;

namespace Task24_Low.Controllers
{
    public class GuestController : Controller
    {
        //static List<(string name, DateTime date, string comment)> comments = new List<(string name, DateTime date, string comment)>
        //    {
        //        ("Mike Brown", new DateTime(2005, 5, 8) , "Not bad"),
        //        ("John Williams", new DateTime(2020, 4, 17), ".NET is the best platform"),
        //        ("Jack Daniels", new DateTime(2021, 7, 3) , "I hate JS"),
        //    };


        static List<Comment> comments = new List<Comment>()
        {
            new Comment{Id=1, Name = "Mike Brown", DatePosted = new DateTime(2005, 5, 8), CommentText = "Not bad"},
            new Comment{Id = 2, Name = "John Williams", DatePosted =new DateTime(2020, 4, 17), CommentText =  ".NET is the best platform"},
            new Comment{Id = 3, Name ="Jack Daniels", DatePosted= new DateTime(2021, 7, 3), CommentText= "I hate JS" }
        };

        [HttpGet]
        public ActionResult FeedBack()
        {

            ViewBag.FeedBack = comments;
            return View();
        }

        [HttpPost]
        public ActionResult FeedBack(FormCollection form)
        {
            if (form["Name"] == String.Empty || form["Name"].Contains(" "))
            {
                ModelState.AddModelError("Name", "Please enter your name");
            }
            if (form.Get("CommetText") == String.Empty || form.Get("CommentText").StartsWith(" "))
            {
                ModelState.AddModelError("Comment", "Comment can't be empty");
            }

            if (ModelState.IsValid)
            {
                comments?.Add(new Comment { Id = comments.Max(f => f.Id) + 1, Name = form["Name"], CommentText = form["CommentText"], DatePosted = DateTime.Now });
            }
            ViewBag.FeedBack = comments;
            return View();
        }


    }
}

Task24_Low/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Task24_Low.Models;

namespace Task24_Low.Controllers
{
    public class HomeController : Controller
    {


        static List<Article> articles = new List<Article>() {
            new Article{Id = 1, Title = ".NET", DatePosted = DateTime.Now, Content =$".NET is a free, cross-platform, open source developer platform for building many different types of applications." +
                $"With .NET, you can use multiple languages, editors, and libraries to build for web, mobile, desktop, games, and IoT."},
            new Article{Id = 2, Title = "Frontend", DatePosted =  new DateTime(2015, 5, 25), Content =$"Front-end web development is the practice of converting data to a graphical interface, " +
                $"through the use of HTML, CSS, and JavaScript, so that users can view and interact with that data. " },
            new Article{Id = 3, Title = "Machine Learning", DatePosted =  new DateTime(2004, 3, 2), Content =$"Machine learning -Machine learning and data mining. v. t. e. Machine learning (ML)" +
                $" is the study of computer algorithms that improve automatically through experience and by the use of data. It is seen as a part of artificial intelligence." +
                $" Machine learning algorithms build a model based on sample data, known as \"training data\". "}
        };

        public ActionResult Index()
        {

            ViewBag.Articles = articles;
            return View();
        }

    }
}

Task24_Low/Controllers/QuestionaryController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Task24_Low.Models;

namespace Task24_Low.Controllers
{
    public class QuestionaryController : Controller
    {
        static Question mainLang = new Question()
        {
            Id = 1,
            QuestionTitle= "What is Your main programming language?",
            Text = new List<string>()
            {
                "C#",
                "Java",
                "Javascript"
            }
        };

        static Question lang = new Question()
        {
            Id=2,
            QuestionTitle = "What is Your native language?",
            Text = new List<string>()
            {
                "English",
                "Ukrainian",
                "Other"
            }
        };

        static List<QuestionaryResult> qResutl = new List<QuestionaryResult>();

        [HttpGet]
        public ActionResult Questionary()
        {
            ViewBag.LangQuiz = lang;
            ViewBag.MainLang = mainLang;
            return View();
        }

        [HttpPost]
        public ActionResult Questionary(string LangQuiz, bool likeProgramming, string MainLang, string EmailInput)
        {
            if (String.IsNullOrEmpty(EmailInput))
            {
                ModelState.AddModelError("Email", "Input email");
            }

            if (ModelState.IsValid)
            {
                qResutl.Add(new QuestionaryResult { Id = 1, Answer = LangQuiz, QuestionId = 1 });
                qResutl.Add(new QuestionaryResult { Id = 2, Answer = MainLang, QuestionId = 2 });

                ViewBag.Lang = LangQuiz;
                ViewBag.LikeProgramming = likeProgramming ? "Yes" : "No";
                ViewBag.MainLang = MainLang;
                ViewBag.Email = EmailInput;
            }
            return View("QuestionaryResult");
        }
    }
}

Task24_Low/Views/Guest/FeedBack.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using Task24_Low.Models

@foreach (Comment feed in ViewBag.FeedBack)
{

    <div class="article-title">@feed.Name</div>
    <div class="article-content">@feed.CommentText</div>
    <div class="article-date">@feed.DatePosted.Day/@feed.DatePosted.Month/@feed.DatePosted.Year</div>
    <br />
}

<div class="form-wrapper">
    <h3 class="feedbak-title">Give your feedback here!</h3>
    <form action="/Guest/FeedBack" method="post">
        <div class="form-fields__wrapper">
            <input type="hidden" name="Id" value="" />
            <div class="form-input">
                <label>Enter your name:</label> <input type="text" name="Name" value="" class="input-name" />
            </div>
            <div class="form-input">
                <label>Enter your comment:</label><input type="text" name="CommentText" value="" class="input-comment" />
            </div>
            <button class="btn-submit" type="submit">Send</button>
        </div>
    </form>
</div>

Task24_Low/Views/Home/Index.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using Task24_Low.Models

@foreach (Article article in ViewBag.Articles)
{

    <div class="article-title">@article.Title</div>
    <div class="article-content">@article.Content</div>
    <div class="article-date">@article.DatePosted.Day/@article.DatePosted.Month/@article.DatePosted.Year</div>
    <br />
}

Task24_Low/Views/Questionary/Questionary.cshtml
@using Task24_Low.Helpers

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}


@using (Html.BeginForm())
{

    <div>
        <p>ViewBag.LangQuiz.QuestionTitle</p>
        @Html.CreateListRadio(ViewBag.LangQuiz.Text as List<string>, "LangQuiz")
    </div>

    <div>
        <br />
        <p>Do you like programming?</p>
        @Html.CheckBox("likeProgramming", false)
    </div>

    <div>
        <br />
        <p>@ViewBag.MainLang.QuestionTitle</p>
        @Html.DropDownList("MainLang", new SelectList(ViewBag.MainLang.Text as List<string>))
    </div>

    <div>
        <br />
        <p>Enter your E-mail:</p>
        <input type="email" name="EmailInput" value="E-mail" required />
        <br />
    </div>

    <input type="submit" value="Submit" class="btn-submit quiz-btn">
}

Task24_Low/Views/Questionary/QuestionaryResult.cshtml
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="questionary-result">
    <p class="questionary-title">Result</p>
    <p>Your native language is: @ViewBag.Lang</p>
    <p>
        You like programming: @ViewBag.LikeProgramming
    </p>
    <p>Your main programming language is: @ViewBag.MainLang</p>
    <p>Your E-mail is: @ViewBag.Email</p>
</div>

Task24_Low/Views/Shared/_Layout.cshtml
@{
    ViewBag.Title = "Library";
}

<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="wrapper">
        <header id="header" class="header">
            <div class="header-title">
                <img class="main-logo" src="~/Content/icons/library-logo.png" alt="library" />
                <div class="site-title">@ViewBag.Title</div>
            </div>
        </header>


        <main class="main">
            <div class="main-container">
                <div class="main-body">
                    @RenderBody()
                </div>
                <div class="right-sidebar">
                    <h2 class="menu-title">Menu</h2>
                    <nav class="main-nav">
                        <ul class="main-menu">
                            <li class="menu-item">@Html.ActionLink("Main page", "Index", "Home", null, new { @class = "menu-item__link" })</li>
                            <li class="menu-item">@Html.ActionLink("Guest page", "FeedBack", "Guest", null, new { @class = "menu-item__link" })</li>
                            <li class="menu-item">@Html.ActionLink("Questionary", "Questionary", "Questionary", null, new { @class = "menu-item__link" })</li>
                        </ul>
                    </nav>
                </div>
            </div>
        </main>

        <footer class="footer">
            <a href="#header" class="top-btn">Go to top</a>
            <div class="footer_author">
                <p>Maksym Snizhynskyi</p>
                <p>maxim.snezhinskiy@gmail.com</p>
                <p>© 2021 All Rights Reserved</p>
            </div>

        </footer>

    </div>
</body>
</html>